@charset "UTF-8";
/* CSS Document */

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	outline: none;
	font-size: 100%;
	font-weight: normal;
	font: inherit;
	vertical-align: baseline;

	-webkit-touch-callout: none; /* iOS Safari */
	-webkit-user-select: none; /* Safari */
	-khtml-user-select: none; /* Konqueror HTML */
	-moz-user-select: none; /* Firefox */
	-ms-user-select: none; /* Internet Explorer/Edge */
	user-select: none; /* Non-prefixed version, currently  */
}

article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
	display: block;
}

html {
	width: 100vw;
	height: 100vh;
	max-height: 100dvh;
	overflow: hidden;
	font-size:100%;
	-webkit-font-smoothing: antialiased;
}

body {
	font-family: Arial, sans-serif;
	background: #ffffff;
	margin: 0;
	padding: 0;
	overflow: hidden;
	font-size: 10px;
}

#wrapper {
	height: 100dvh;
	overflow: hidden;
	padding-bottom: env(safe-area-inset-bottom);
}

#slider {
	width: 66%;
	position: fixed;
	height: 100dvh;
	right: 0;
	top: 0;
	
	display:block;
	overlay: hidden;

	background-size: cover;
	background-position: center center;
}

#overlay {
	width: 35%;
	min-width: 360px;
	height: 100dvh;
	background: #fff;
	overflow: hidden;
	position: fixed;
	left: 0;
	top: 0;
	
	display: flex;
	align-items: center;
}

#fields {
	text-align: left;
	margin: 0 auto;
	width: 70%;
	max-width: 350px;
}

#overlay p {
	color: grey;
	font-size: 1.4em;
	margin: 10px 0 10px;
}

.corner {
	position: absolute;
	bottom: 0;
	right: 0;
	margin-right: 10px;
	border-radius: 2px;
}

.corner p {
	font-size: 1.4em;
	margin: 0px;
	padding: 0px;
}

#registration {
	display: none;
}

#registerMessage,
#loginMessage {
	text-align: left;
	color: red;
	margin-top: 30px;
	font-size: 1.4em;
}

p {
	padding: 0 0 10px 0;
}

h2 {
	margin: 0px;
	font-size: 4.5em;
	text-align: left;
	font-weight: bold;
	color: #333;
}

.pin {
	margin-bottom: 0px;
	font-size: 3em;
	text-align: left;
	letter-spacing: 10px;
	font-weight: bold;
	color: #ddd;
	
}

form {
	display: flex;
	flex-direction: column;
}

label {
	margin: 10px 0 10px;
	color: grey;
	font-weight: bold;
	font-size: 1.3em;
}

input[type="text"] {
	padding: 10px;
	border: 1px solid #ddd;
	background-color: #f8f8f8;
	border-radius: 5px;
	margin-bottom: 15px;
	transition: border-color 0.3s;
	text-align: left;
	font-size: 1.5em;
	
	max-width: 300px;
}

input[type="text"]:focus {
	border-color: #747feb;
	outline: none;
	box-shadow: 0 0 5px rgba(46, 42, 59, 0);
}

button[type="submit"] {
	padding: 10px;
	background: #0600a3;
	color: white;
	border: none;
	border-radius: 5px;
	cursor: pointer;
	transition: background 0.3s;
	font-size: 1.5em;
	/* margin-top: 15px; */
	
	width: 120px;
	max-width: 90%;
}

button[type="submit"]:hover {
	background: #0900ff;
}

/* Mobile responsiveness */
@media (max-width: 1023px) {

}

/* Mobile responsiveness */
@media (max-width: 400px) {
	#overlay {
		width: 100%;
		min-width: 100%;
		height: 100vh; /* Full height */
	}
}